# Class SpeciesFriendshipEvolutionCondition

#### Hierarchy (view full)

- SpeciesEvolutionCondition
  - SpeciesFriendshipEvolutionCondition

- Defined in src/data/pokemon-evolutions.ts:106

#####
Index

### Constructors

constructor

### Properties

enforceFunc
predicate

## Constructors

### constructor

- new SpeciesFriendshipEvolutionCondition(friendshipAmount, predicate?, enforceFunc?): SpeciesFriendshipEvolutionCondition

- #### Parameters

  - friendshipAmount: number
  - `Optional` predicate: EvolutionConditionPredicate
  - `Optional` enforceFunc: EvolutionConditionEnforceFunc

  #### Returns SpeciesFriendshipEvolutionCondition

  Overrides SpeciesEvolutionCondition.constructor

  - Defined in src/data/pokemon-evolutions.ts:107

## Properties

### enforceFunc

enforceFunc: EvolutionConditionEnforceFunc

Inherited from SpeciesEvolutionCondition.enforceFunc

- Defined in src/data/pokemon-evolutions.ts:98

### predicate

predicate: EvolutionConditionPredicate

Inherited from SpeciesEvolutionCondition.predicate

- Defined in src/data/pokemon-evolutions.ts:97